// This file is a part of the Framsticks GDK library.
// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
// Refer to http://www.framsticks.com/ for further information.

#include "stdouterr.h"
#include <stdio.h>

void StdoutErrorHandler::handle(const char *o,const char *m,const char *bl,int w)
{
static char* level[]={"DEBUG","INFO","WARN","ERROR","CRITICAL"};
if (w<-1) w=-1; else if (w>3) w=3;
printf("[%s] %s::%s - %s\n",level[w+1],o,m,bl);
}
